Name: freetype2
Version: 2.1.9
Release: alt4

Summary: The FreeType2 library
License: FTL/GPL
Group: System/Libraries
Url: http://www.freetype.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: ftp://ftp.freetype.org/freetype/freetype2/freetype-%version.tar.bz2
Source1: ftp://ftp.freetype.org/freetype/freetype2/ftdocs-%version.tar.bz2
Source2: ftp://ftp.freetype.org/freetype/freetype2/ft2demos-%version.tar.bz2

Patch1: freetype-2.1.3-rh-enable-ft2-bci.patch
Patch2: ft2demos-2.1.9-rh-makefile.patch

# SuSE patches
Patch10: freetype2-bitmap-foundry.patch
Patch11: freetype-autohint-cjkfonts.patch

%def_enable static
%def_with x11

BuildPreReq: zlib-devel, xorg-x11-devel, gcc-c++

%package devel
Summary: Header files and library for development with FreeType2
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: The FreeType2 static library
Group: Development/C
Requires: %name-devel = %version-%release

%package demos
Summary: A collection of FreeType demonstration programs
Group: Development/C
Requires: %name = %version-%release

%description
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments.  FreeType is a library which can open
and manages font files as well as efficiently load, hint and render
individual glyphs.  FreeType is not a font server or a complete
text-rendering library.

%description devel
This package contains the header files and libraries needed
to develop programs that use the FreeType2 library.

%description devel-static
This package contains the FreeType2 static library.

%description demos
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments.  FreeType is a library which can open
and manages font files as well as efficiently load, hint and render
individual glyphs.  FreeType is not a font server or a complete
text-rendering library.

This package contains collection of FreeType demonstration programs.

%prep
%setup -q -n freetype-%version -b1 -a2
%patch1 -p0
%patch2 -p0

%patch10 -p1
%patch11 -p1

%build
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
%add_optflags -fno-strict-aliasing
%configure %{subst_enable static}
%make_build
%if_with x11
pushd ft2demos-%version
	%make_build X11_LIB=%_x11libdir X11_PATH=%_x11dir TOP_DIR=..
popd
%endif

%install
%makeinstall

%if_with x11
%__mkdir_p $RPM_BUILD_ROOT%_x11bindir
pushd ft2demos-%version
libtool install -m755 bin/ft* $RPM_BUILD_ROOT%_x11bindir/
popd
%endif

%define docdir %_docdir/freetype-%version
%__mkdir_p $RPM_BUILD_ROOT%docdir
cp -a docs/* $RPM_BUILD_ROOT%docdir/
pushd $RPM_BUILD_ROOT%docdir
bzip2 -9 CHANGES raster.txt
rm -fv GPL.txt INSTALL* release UPGRADE.UNX
popd

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %docdir
%docdir/CHANGES*
%docdir/FTL.txt
%docdir/PATENTS
%docdir/license.txt
%docdir/*.html

%files devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*.m4
%docdir
%exclude %docdir/CHANGES*
%exclude %docdir/FTL.txt
%exclude %docdir/PATENTS
%exclude %docdir/license.txt
%exclude %docdir/*.html

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%if_with x11
%files demos
%_x11bindir/*
%endif

%changelog
* Wed Jun 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt4
- merge patches from SuSE

* Fri Mar 18 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt3
- enable static

* Wed Oct 27 2004 Dmitry V. Levin <ldv@altlinux.org> 2.1.9-alt2
- Fixed build dependencies.
- Packaged translations.
- Build ft2demos.
- Moved documentation for developers to -devel subpackage.

* Wed Oct 20 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.1.9-alt1
- Updated to 2.1.9.

* Tue Dec 02 2003 Dmitry V. Levin <ldv@altlinux.org> 2.1.4-alt3
- Fix crash with non-format-0 hdmx tables (RH).
- Do not build static library by default.
- Do not package .la files.
- Specfile cleanup.

* Tue Jun 03 2003 AEN <aen@altlinux.ru> 2.1.4-alt2
- some internal headers added for pfaedit

* Sat Apr 12 2003 AEN <aen@altlinux.ru> 2.1.4-alt1
- new version
- patches 1,2 obsoletes now

* Tue Mar 11 2003 AEN <aen@altlinux.ru> 2.1.3-alt2
- enable bytecode interpreter

* Fri Feb 28 2003 AEN <aen@altlinux.ru> 2.1.3-alt1
- new verson
- patches from RH

* Mon Sep 02 2002 AEN <aen@altlinux.ru> 2.1.2-alt2
- patches from Rawhide (2.1.2-9) for hinting quality added

* Wed Jun 26 2002 AEN <aen@logic.ru> 2.1.2-alt1
- new version

* Tue Jun 17 2002 AEN <aen@logic.ru> 2.1.1-alt1
- new version
- patch regenerated

* Thu Mar 28 2002 AEN <aen@logic.ru> 2.0.9-alt1
- new version

* Fri Jan 18 2002 AEN <aen@logic.ru> 2.0.6-alt1
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 2.0.5-alt1
- new version

* Wed Jul 4 2001 AEN <aen@logic.ru> 2.0.4-alt1
- new version

* Thu Jun 21 2001 AEN <aen@logic.ru> 2.0.3-alt3
- ttf hinting enabled

* Mon Jun 18 2001 AEN <aen@logic.ru> 2.0.3-alt2
- requirements fixed (thnx to Aleksey Voinov)

* Thu May 31 2001 AEN <aen@logic.ru> 2.0.3-alt1
- 2.0.3

* Wed Apr 4 2001 AEN <aen@logic.ru> 2.0.2-ipl1mdk
- 2.0.2 final

* Mon Dec 18 2000 AEN <aen@logic.ru>
- new snapshot for building XFree86-4.0.2

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Include all modules in lib (no longer apply patch1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Add config script to devel package
- correctly configure package

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 2.0-1mdk
- really 2.0 release.

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-0.8.1mdk
- First mandrake release

* Thu Oct  5 2000 Ramiro Estrugo <ramiro@eazel.com>
- Created this thing

